INSERT INTO om_p_category(vc_uuid,vc_name,vc_description ) VALUES('A1','A1','A1 category');

INSERT INTO om_p_department(vc_uuid,vc_categoryid,vc_presidentid,vc_name,vc_description ) VALUES('SOFT_DEPT','A1','dpm1','SOFT_DEPT','SOFT_DEPT department');

INSERT INTO om_p_role(vc_uuid,vc_name,vc_description ) VALUES('member','member','member rank');
INSERT INTO om_p_role(vc_uuid,vc_name,vc_description ) VALUES('pm','pm','pm rank');
INSERT INTO om_p_role(vc_uuid,vc_name,vc_description ) VALUES('dpm','dpm','dpm rank');

INSERT INTO om_p_user(vc_uuid,vc_rankid,vc_name,vc_password,vc_description ) VALUES('zosatapo','member','zosatapo','zosatapo','automation xpdl test');
INSERT INTO om_p_user(vc_uuid,vc_rankid,vc_name,vc_password,vc_description ) VALUES('member1','member','member1','member1','department member');
INSERT INTO om_p_user(vc_uuid,vc_rankid,vc_name,vc_password,vc_description ) VALUES('member2','member','member2','member2','department member');
INSERT INTO om_p_user(vc_uuid,vc_rankid,vc_name,vc_password,vc_description ) VALUES('pm1','pm','pm1','pm1','department project manager');
INSERT INTO om_p_user(vc_uuid,vc_rankid,vc_name,vc_password,vc_description ) VALUES('dpm1','dpm','dpm1','dpm1','department manager');

INSERT INTO om_p_admin(vc_userid,vc_packageId) VALUES('zosatapo','ALL_PACKAGES');

INSERT INTO om_p_user_department(vc_departmenetid,vc_userid) VALUES('SOFT_DEPT','member1');
INSERT INTO om_p_user_department(vc_departmenetid,vc_userid) VALUES('SOFT_DEPT','member2');
INSERT INTO om_p_user_department(vc_departmenetid,vc_userid) VALUES('SOFT_DEPT','pm1');
INSERT INTO om_p_user_department(vc_departmenetid,vc_userid) VALUES('SOFT_DEPT','dpm1');

INSERT INTO om_p_user_role(vc_roleid,vc_userid) VALUES('member','zosatapo');
INSERT INTO om_p_user_role(vc_roleid,vc_userid) VALUES('member','member1');
INSERT INTO om_p_user_role(vc_roleid,vc_userid) VALUES('member','member2');
INSERT INTO om_p_user_role(vc_roleid,vc_userid) VALUES('pm','pm1');
INSERT INTO om_p_user_role(vc_roleid,vc_userid) VALUES('dpm','dpm1');

--for Oracle
--create table leave_request(vc_caseid varchar2(50),vc_creator varchar2(50),vc_type varchar2(50),vc_start varchar2(50),vc_stop varchar2(50),vc_reason varchar2(255));

--for HSQLDB
--create table leave_request(vc_caseid varchar(50),vc_creator varchar(50),vc_type varchar(50),vc_start varchar(50),vc_stop varchar(50),vc_reason varchar(255));

--for MYSQL
--create table leave_request(vc_caseid varchar(50),vc_creator varchar(50),vc_type varchar(50),vc_start varchar(50),vc_stop varchar(50),vc_reason varchar(255));


